commit:     f919dd286987a8d750dd68f80987fdee4a7f6d02
Author:     Samuel Bernardo <samuelbernardo.mail <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 16:34:05 2021 +0000
Commit:     Samuel Bernardo <samuelbernardo.mail <AT> gmail <DOT> com>
CommitDate: Wed Apr 14 16:34:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/user/ssnb.git/commit/?id=f919dd28

Add snooty-lextudio required to visual studio code reStructuredText extension

Signed-off-by: Samuel Bernardo <samuelbernardo.mail <AT> gmail.com>

 dev-python/snooty-lextudio/Manifest                |  3 ++
 dev-python/snooty-lextudio/metadata.xml            | 13 +++++++
 .../snooty-lextudio/snooty-lextudio-1.8.10.ebuild  | 40 ++++++++++++++++++++++
 3 files changed, 56 insertions(+)

diff --git a/dev-python/snooty-lextudio/Manifest 
b/dev-python/snooty-lextudio/Manifest
new file mode 100644
index 0000000..03ef33e
--- /dev/null
+++ b/dev-python/snooty-lextudio/Manifest
@@ -0,0 +1,3 @@
+DIST snooty-lextudio-1.8.10.dev0.tar.gz 4302086 BLAKE2B 
76b3a956e6dbea3cbc627905bdae00b0fce9e94932321df739efd72a5578ddf189a46c588348bd5a2a570a8140e393ecf060b1ca619cb289b2def7fff3a59789
 SHA512 
75454c45d64e5816be3d31963be72378eab3c8c7f8fab827e5d89184eab702afdb92ff0141a65a90597be7d15b76ec4dce0ba80f7cea6f0d4c008c7ff739d0c3
+EBUILD snooty-lextudio-1.8.10.ebuild 1012 BLAKE2B 
3c996894f80cbb3e976b6920a0cf501069408dd51d1e58f38f5e8d2bf58cbfacd52887af921255acea41b9ca7e173fddc26a6486c592fe1ecd3a043ad7e36061
 SHA512 
90e765b8e33cdc1889352ef5da579b6774fcf8547fe22b54b4ce7680af503f67439f03a5dcbeb0025a4cbfaf758e4bd88ec323d289188a51b4744139d8eb96bf
+MISC metadata.xml 500 BLAKE2B 
540681edf880e47c715fc415ac72ff8accd39c7bc65f31037d582b03fd50677113f35eb1fdb403ba7f236f587fcd5fdbef7d2e416275ac8ef77b93ebd4fe565b
 SHA512 
b9f41ea3e722615e978af9e3769eb9f390a0f1e134ef67791177ac5115a32303cf29f28b0fdcb0d07a15749a2b9e5643e17caf771757ea94285ccbd3c2495356

diff --git a/dev-python/snooty-lextudio/metadata.xml 
b/dev-python/snooty-lextudio/metadata.xml
new file mode 100644
index 0000000..daba232
--- /dev/null
+++ b/dev-python/snooty-lextudio/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Samuel Bernardo</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="pypi">snooty-lextudio</remote-id>
+               <remote-id 
type="github">vscode-restructuredtext/snooty-parser</remote-id>
+               
<bugs-to>https://github.com/vscode-restructuredtext/snooty-parser/issues</bugs-to>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/snooty-lextudio/snooty-lextudio-1.8.10.ebuild 
b/dev-python/snooty-lextudio/snooty-lextudio-1.8.10.ebuild
new file mode 100644
index 0000000..64b8228
--- /dev/null
+++ b/dev-python/snooty-lextudio/snooty-lextudio-1.8.10.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Checks syntax of reStructuredText and code blocks nested within 
it"
+HOMEPAGE="https://github.com/vscode-restructuredtext/snooty-parser";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.dev0.tar.gz"
+
+LICENSE="Apache"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/docutils[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/path-py[${PYTHON_USEDEP}]
+       )
+"
+
+S="${WORKDIR}/${P}.dev0"
+
+distutils_enable_tests pytest
+
+python_test() {
+       # Ignore the module from ${S}, use the one from ${BUILD_DIR}
+       # Otherwise, ImportMismatchError may occur
+       # https://github.com/gentoo/gentoo/pull/1622#issuecomment-224482396
+       # Override pytest options to skip flake8
+       pytest -vv --ignore=rst --override-ini="addopts=--doctest-modules" \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to